//
//  MoveAndScale.h
//  ColorsWar
/*
 * HAZ™ Dev Group: http://imhaz.com
 *
 * Copyright (c) 2007-2011 HAZ™ Inc.
 *
 * Written by Hercy Chang 2011-12-08
 *
 */

#import <Foundation/Foundation.h>
#import "cocos2d.h"

@interface MoveAndScale : CCLayer {
	CGSize screenSize;
	CGPoint currentCenter,touchPoint;
	CGRect colortodraw;
	CGRect touchRect;
	BOOL isScaling;
	float radius;
	
	float maxZoomfactor;
	float zoomfactor;
	float startdistance;
	float prezoomf;
	
	float angle;
	float speed;
	BOOL isMoving;
	
	BOOL shoot;
}
@property (nonatomic,readwrite) CGRect colortodraw;
@property (nonatomic,readwrite) float zoomfactor;
@property (nonatomic,readwrite) float maxZoomfactor;
@property (nonatomic,readwrite) BOOL isScaling;
@property (nonatomic,readwrite) float angle;
@property (nonatomic,readwrite) float speed;
@property (nonatomic,readwrite) BOOL isMoving;
@property (nonatomic,readwrite) BOOL shoot;
@end
