/*
 * HAZ™ Dev Group: http://imhaz.com
 *
 * Copyright (c) 2007-2011 HAZ™ Inc.
 *
 * Written by Hercy Chang 2011-12-08
 *
 */

#import <Foundation/Foundation.h>
#import "cocos2d.h"
#import "ApostleBasis.h"

@interface GameView : CCLayer {
	CGSize screenSize;
	CGSize mapSize;
	CGPoint centerPosition;
	ApostleBasis *mc;
	NSMutableArray *allEnemies;
}
@property (nonatomic,readwrite) CGPoint centerPosition;
@property (nonatomic,readwrite) CGSize mapSize;
@property (nonatomic,assign) ApostleBasis* mc;
@property (nonatomic,assign) NSMutableArray *allEnemies;
+(GameView*)sharedGameView;
-(void)removeAllEnemies;
-(int)removeTheDead;
-(void)addEnemyAt:(CGPoint)pos Type:(int)etype Number:(int)num;
-(CGPoint)posOfEnemyAtIndex:(int)i;
-(void)moveCenterAt:(float)speed WithRotation:(float)angle;
-(void)zoomGameViewWith:(float)zoomfactor;
-(void)setCameraCenterAt:(CGPoint)point;
@end
