/*
 * HAZ™ Dev Group: http://imhaz.com
 *
 * Copyright (c) 2007-2011 HAZ™ Inc.
 *
 * Written by Hercy Chang 2011-12-08
 *
 */

//
// Common layer for NS (Next-Step) stuff
//

#import <Availability.h>

#import <Foundation/Foundation.h> //	for NSObject

#ifdef __IPHONE_OS_VERSION_MAX_ALLOWED

#define CCRectFromString(__r__)		CGRectFromString(__r__)
#define CCPointFromString(__p__)	CGPointFromString(__p__)
#define CCSizeFromString(__s__)		CGSizeFromString(__s__)
#define CCNSSizeToCGSize
#define CCNSRectToCGRect
#define CCNSPointToCGPoint
#define CCTextAlignment				UITextAlignment
#define CCTextAlignmentCenter		UITextAlignmentCenter
#define CCTextAlignmentLeft			UITextAlignmentLeft
#define CCTextAlignmentRight		UITextAlignmentRight


#elif defined(__MAC_OS_X_VERSION_MAX_ALLOWED)

#define CCRectFromString(__r__)		NSRectToCGRect( NSRectFromString(__r__) )
#define CCPointFromString(__p__)	NSPointToCGPoint( NSPointFromString(__p__) )
#define CCSizeFromString(__s__)		NSSizeToCGSize( NSSizeFromString(__s__) )
#define CCNSSizeToCGSize			NSSizeToCGSize
#define CCNSRectToCGRect			NSRectToCGRect
#define CCNSPointToCGPoint			NSPointToCGPoint
#define CCTextAlignment				NSTextAlignment
#define CCTextAlignmentCenter		NSCenterTextAlignment
#define CCTextAlignmentLeft			NSLeftTextAlignment
#define CCTextAlignmentRight		NSRightTextAlignment

#endif


